Unser Server wurde auf PHP 5.4 umgestellt.
Seitdem werden diverse Fehlermeldungen angezeigt, obwohl der Shop funktioniert:
Strict standards: Non-static method ... oder Warning ...
Was kann man machen?


Wenn auf dem Kundenserver PHP >= 5.4 installiert ist, kann es vorkommen das folgende Meldung
im Shop angezeigt wird:
Strict standards: Non-static method ... Warning ...

Das ist nicht weiter schlimm, der Shop funktioniert trotzdem.

Lösung:


In die php.ini (Unter Datei->Einstellungen->Servereinstellungen->php.ini/.htaccess) muss zusätzlich folgende Zeile eingetragen werden:

error_reporting = E_ERROR ^ E_STRICT

Danach eine Komplettveröffentlichung durchführen.

Tags: PHP 5.4, Strict standards, Warning
Letzte Änderung:
2013-10-29 15:07
Verfasser:
GS ShopBuilder Support
Revision:
1.2
Durchschnittliche Bewertung: 5 (1 Abstimmung)

Kommentieren nicht möglich

Chuck Norris has counted to infinity. Twice.

FAQs in dieser Kategorie

Tags

Wichtige FAQs